## golang-github-go-co-op-gocron 0.5.0

=== Makefile ===
.PHONY: fmt check-fmt lint vet test

GO_PKGS   := $(shell go list -f {{.Dir}} ./...)

fmt:
	@go list -f {{.Dir}} ./... | xargs -I{} gofmt -w -s {}

check-fmt:
	@echo "Checking formatting..."
	@FMT="0"; \
	for pkg in $(GO_PKGS); do \
		OUTPUT=`gofmt -l $$pkg/*.go`; \
		if [ -n "$$OUTPUT" ]; then \
			echo "$$OUTPUT"; \
			FMT="1"; \
		fi; \
	done ; \
	if [ "$$FMT" -eq "1" ]; then \
		echo "Problem with formatting in files above."; \
		exit 1; \
	else \
		echo "Success - way to run gofmt!"; \
	fi

lint:
#	Add -set_exit_status=true when/if we want to enforce the linter rules
	@golint -min_confidence 0.8 -set_exit_status $(GO_PKGS)

vet:
	@go vet $(GO_FLAGS) $(GO_PKGS)

test:
	@go test -race -v $(GO_FLAGS) -count=1 $(GO_PKGS)

=== debian/changelog ===
golang-github-go-co-op-gocron (0.5.0-2) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 12 Jan 2021 00:27:50 +0000

golang-github-go-co-op-gocron (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #979346).

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 05 Jan 2021 15:54:44 +0000

=== debian/control ===
Source: golang-github-go-co-op-gocron
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-co-op-gocron
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-co-op-gocron.git
Homepage: https://github.com/go-co-op/gocron
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-co-op/gocron

Package: golang-github-go-co-op-gocron-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: easy and fluent Go cron scheduling
 goCron is a Golang job scheduling package which lets one run Go
 functions periodically at pre-determined interval using a simple,
 human-friendly syntax.
 .
 goCron is a Golang implementation of Ruby module clockwork and Python
 job scheduling package schedule.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-go-co-op-gocron-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/go-co-op/gocron/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-go-co-op-gocron 1.17.0

=== debian/changelog ===
golang-github-go-co-op-gocron (1.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Add golang-github-robfig-cron-dev to (Build-|)Depends.
  * Add golang-golang-x-sync-dev to (Build-|)Depends.

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 06 Oct 2022 17:17:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-stretchr-testify-dev
+               golang-github-robfig-cron-dev,
+               golang-github-stretchr-testify-dev,
+               golang-golang-x-sync-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-co-op-gocron
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-co-op-gocron.git
@@ -17,7 +19,9 @@
 
 Package: golang-github-go-co-op-gocron-dev
 Architecture: all
-Depends: golang-github-stretchr-testify-dev,
+Depends: golang-github-robfig-cron-dev,
+         golang-github-stretchr-testify-dev,
+         golang-golang-x-sync-dev,
          ${misc:Depends}
 Description: easy and fluent Go cron scheduling
  goCron is a Golang job scheduling package which lets one run Go

## golang-github-go-co-op-gocron 1.18.0

=== Makefile ===
.PHONY: fmt check-fmt lint vet test

GO_PKGS   := $(shell go list -f {{.Dir}} ./...)

fmt:
	@go list -f {{.Dir}} ./... | xargs -I{} gofmt -w -s {}

lint:
	@golangci-lint run

test:
	@go test -race -v $(GO_FLAGS) -count=1 $(GO_PKGS)

=== debian/changelog ===
golang-github-go-co-op-gocron (1.18.0-3) unstable; urgency=medium

  * Team upload
  * Skip flaky TestScheduler_Update

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 31 Jan 2023 15:48:42 +0800

golang-github-go-co-op-gocron (1.18.0-2) unstable; urgency=medium

  * Team upload
  * Add patch for flaky tests

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 30 Jan 2023 22:07:58 +0800

golang-github-go-co-op-gocron (1.18.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
  * Add tzdata to Build-Depends (Closes: #1027364)
  * Add Multi-Arch hint
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 30 Jan 2023 19:07:05 +0800

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                golang-any,
                golang-github-robfig-cron-dev,
                golang-github-stretchr-testify-dev,
-               golang-golang-x-sync-dev
-Standards-Version: 4.5.0
+               golang-golang-x-sync-dev,
+               tzdata
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-co-op-gocron
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-co-op-gocron.git
 Homepage: https://github.com/go-co-op/gocron
@@ -19,6 +20,7 @@
 
 Package: golang-github-go-co-op-gocron-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-robfig-cron-dev,
          golang-github-stretchr-testify-dev,
          golang-golang-x-sync-dev,
